Callisto4Bootloader: _serial_nor_config_option Struct Reference

Callisto4Bootloader

Data Fields
_serial_nor_config_option Struct Reference

`#include <flexspi_nor_flash.h>`

## Data Fields

union {
struct {
uint32_t max_freq: 4
| Maximum supported Frequency. More...
uint32_t misc_mode: 4
| miscellaneous mode More...
uint32_t quad_mode_setting: 4
| Quad mode setting. More...
uint32_t cmd_pads: 4
| Command pads. More...
uint32_t query_pads: 4
| SFDP read pads. More...
uint32_t device_type: 4
| Device type. More...
uint32_t option_size: 4
| Option size, in terms of uint32_t, size = (option_size + 1) * 4. More...
uint32_t tag: 4
| Tag, must be 0x0E. More...
} B
uint32_t U
} | option0
union {
struct {
uint32_t dummy_cycles: 8
| Dummy cycles before read. More...
uint32_t status_override: 8
| Override status register value during device mode configuration. More...
uint32_t pinmux_group: 4
| The pinmux group selection. More...
uint32_t dqs_pinmux_group: 4
| The DQS Pinmux Group Selection. More...
uint32_t drive_strength: 4
| The Drive Strength of FlexSPI Pads. More...
uint32_t flash_connection: 4
} B
uint32_t U
} | option1

## Detailed Description

Definition at line 110 of file flexspi_nor_flash.h.

## Field Documentation

## ◆ B [1/2]

struct { ... } _serial_nor_config_option::B

## ◆ B [2/2]

struct { ... } _serial_nor_config_option::B

## ◆ cmd_pads

uint32_t _serial_nor_config_option::cmd_pads

Command pads.

Definition at line 119 of file flexspi_nor_flash.h.

## ◆ device_type

uint32_t _serial_nor_config_option::device_type

Device type.

Definition at line 121 of file flexspi_nor_flash.h.

## ◆ dqs_pinmux_group

uint32_t _serial_nor_config_option::dqs_pinmux_group

The DQS Pinmux Group Selection.

Definition at line 135 of file flexspi_nor_flash.h.

## ◆ drive_strength

uint32_t _serial_nor_config_option::drive_strength

The Drive Strength of FlexSPI Pads.

Definition at line 136 of file flexspi_nor_flash.h.

## ◆ dummy_cycles

uint32_t _serial_nor_config_option::dummy_cycles

Dummy cycles before read.

Definition at line 132 of file flexspi_nor_flash.h.

## ◆ flash_connection

uint32_t _serial_nor_config_option::flash_connection

Flash connection option: 0 - Single Flash connected to port A, 1 -

Definition at line 137 of file flexspi_nor_flash.h.

## ◆ max_freq

uint32_t _serial_nor_config_option::max_freq

Maximum supported Frequency.

Definition at line 116 of file flexspi_nor_flash.h.

## ◆ misc_mode

uint32_t _serial_nor_config_option::misc_mode

miscellaneous mode

Definition at line 117 of file flexspi_nor_flash.h.

## ◆ option0

union { ... } _serial_nor_config_option::option0

Referenced by C4_QSPI_init().

## ◆ option1

union { ... } _serial_nor_config_option::option1

## ◆ option_size

uint32_t _serial_nor_config_option::option_size

Option size, in terms of uint32_t, size = (option_size + 1) * 4.

Definition at line 122 of file flexspi_nor_flash.h.

## ◆ pinmux_group

uint32_t _serial_nor_config_option::pinmux_group

The pinmux group selection.

Definition at line 134 of file flexspi_nor_flash.h.

## ◆ quad_mode_setting

uint32_t _serial_nor_config_option::quad_mode_setting

Quad mode setting.

Definition at line 118 of file flexspi_nor_flash.h.

## ◆ query_pads

uint32_t _serial_nor_config_option::query_pads

SFDP read pads.

Definition at line 120 of file flexspi_nor_flash.h.

## ◆ status_override

uint32_t _serial_nor_config_option::status_override

Override status register value during device mode configuration.

Definition at line 133 of file flexspi_nor_flash.h.

## ◆ tag

uint32_t _serial_nor_config_option::tag

Tag, must be 0x0E.

Definition at line 123 of file flexspi_nor_flash.h.

## ◆ U

uint32_t _serial_nor_config_option::U

Definition at line 125 of file flexspi_nor_flash.h.

Referenced by C4_QSPI_init().

The documentation for this struct was generated from the following file:

- drivers/flexspi_nor_flash.h